summaryrefslogtreecommitdiff
path: root/release/src/router/busybox/testsuite/patch.tests
diff options
context:
space:
mode:
Diffstat (limited to 'release/src/router/busybox/testsuite/patch.tests')
-rwxr-xr-xrelease/src/router/busybox/testsuite/patch.tests65
1 files changed, 65 insertions, 0 deletions
diff --git a/release/src/router/busybox/testsuite/patch.tests b/release/src/router/busybox/testsuite/patch.tests
new file mode 100755
index 00000000..cfe69b76
--- /dev/null
+++ b/release/src/router/busybox/testsuite/patch.tests
@@ -0,0 +1,65 @@
+#!/bin/sh
+# Copyright 2008 by Denys Vlasenko
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+# testing "test name" "options" "expected result" "file input" "stdin"
+
+testing "patch with old_file == new_file" \
+ "patch; echo $?; cat input" \
+"\
+patching file input
+0
+qwe
+asd
+zxc
+" \
+ "qwe\nzxc\n" \
+"\
+--- input Jan 01 01:01:01 2000
++++ input Jan 01 01:01:01 2000
+@@ -1,2 +1,3 @@
+ qwe
++asd
+ zxc
+" \
+
+testing "patch with nonexistent old_file" \
+ "patch; echo $?; cat input" \
+"\
+patching file input
+0
+qwe
+asd
+zxc
+" \
+ "qwe\nzxc\n" \
+"\
+--- input.doesnt_exist Jan 01 01:01:01 2000
++++ input Jan 01 01:01:01 2000
+@@ -1,2 +1,3 @@
+ qwe
++asd
+ zxc
+" \
+
+testing "patch -R with nonexistent old_file" \
+ "patch -R; echo $?; cat input" \
+"\
+patching file input
+0
+qwe
+zxc
+" \
+ "qwe\nasd\nzxc\n" \
+"\
+--- input.doesnt_exist Jan 01 01:01:01 2000
++++ input Jan 01 01:01:01 2000
+@@ -1,2 +1,3 @@
+ qwe
++asd
+ zxc
+" \
+
+exit $FAILCOUNT